# Xplorer UI

Xplorer UI is a React component library inspired by [Shadcn UI](https://ui.shadcn.com/docs/components). This library provides a set of reusable and customizable UI components that enhance the user experience and streamline development.

## Table of Contents

- [Overview](#overview)
- [Features](#features)
- [Installation](#installation)
- [Contributing](#contributing)
- [License](#license)

## Overview

Xplorer UI extends the Shadcn UI library with additional components tailored for common use cases. If you’re familiar with Shadcn UI, you'll find most of the components in Xplorer UI similar, allowing you to leverage the Shadcn documentation as a reference.

For detailed information about Shadcn UI components, visit their [documentation](https://ui.shadcn.com/docs/components).

## Features

- 🎨 Based on Shadcn UI for consistent and beautiful design
- 🚀 Custom components for enhanced functionality
- 🌙 Dark mode support out of the box
- 📊 Data visualization components
- 🧩 Easy-to-use modal system
- 📝 Advanced form components
- 🔄 Loading indicators

## Installation

````bash
npm install xplorer-ui
# or
yarn add xplorer-ui
# or
pnpm add xplorer-ui```
````

## Contributing

We welcome contributions to Xplorer UI!

## License

Xplorer UI is licensed under the MIT License. See the LICENSE file for details.
