import { ColumnDef } from '@tanstack/react-table';
import { FacetFilterProps } from './data-table-faceted-filter';

interface DataTableProps<TData, TValue> {
    columns: ColumnDef<TData, TValue>[];
    data: TData[];
    pageSize?: number;
    facetFilters?: FacetFilterProps<TData>[];
    onEdit?: (data: TData) => void;
    onDelete?: (data: TData) => void;
    isDeleteDisabled?: (data: TData) => boolean;
    otherActions?: {
        action: string;
        onAction: (data: TData) => void;
        hidden?: (data: TData) => boolean;
    }[];
}
export default function ClientSideDataTable<TData, TValue>({ columns, data, pageSize, facetFilters, onEdit, onDelete, isDeleteDisabled, otherActions, }: DataTableProps<TData, TValue>): import("react/jsx-runtime").JSX.Element;
export {};
//# sourceMappingURL=data-table.d.ts.map